public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Conrad Kostecki" <conikost@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/rrdtool-bindings/
Date: Tue,  5 Apr 2022 19:34:40 +0000 (UTC)	[thread overview]
Message-ID: <1649187007.5020bb4baa48d621816e23726ab061037c3c6204.conikost@gentoo> (raw)

commit:     5020bb4baa48d621816e23726ab061037c3c6204
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Tue Apr  5 19:30:07 2022 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Tue Apr  5 19:30:07 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5020bb4b

dev-ruby/rrdtool-bindings: add 1.8.0

Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 dev-ruby/rrdtool-bindings/Manifest                 |  1 +
 .../rrdtool-bindings/rrdtool-bindings-1.8.0.ebuild | 64 ++++++++++++++++++++++
 2 files changed, 65 insertions(+)

diff --git a/dev-ruby/rrdtool-bindings/Manifest b/dev-ruby/rrdtool-bindings/Manifest
index d0902d1b33b9..2fce6e694e1d 100644
--- a/dev-ruby/rrdtool-bindings/Manifest
+++ b/dev-ruby/rrdtool-bindings/Manifest
@@ -1 +1,2 @@
 DIST rrdtool-1.7.2.tar.gz 2883737 BLAKE2B f3ff6cc4e325cdec42a6f9e67a1644f501c11edc47bc281df58c2e1d7be4c01767c35166f4301f68cf9c22dcd5c159bb51ee704a5e36776acdf166100122cebb SHA512 453230efc68aeb4a12842d20a9d246ba478a79c2f6bfd9693a91837c1c1136abe8af177be64fe29aa40bf84ccfce7f2f15296aefe095e89b8b62aef5a7623e29
+DIST rrdtool-1.8.0.tar.gz 2955398 BLAKE2B d821d662af432c53760bc0e9636b84d9209933a810fa71091fc4c2b44518c89c7ad509bde7955d952279ee41464c3bfa4f631662dde61b6fff46699bb382653f SHA512 8ae6f94d119e8d0e1ba7f2d0738f1ba008a4880d1022f1c0c5436f662d961fceec5c42e01c241493ece3d6f55c60fd7d1d264f93e678f3cf1251201dcde027c1

diff --git a/dev-ruby/rrdtool-bindings/rrdtool-bindings-1.8.0.ebuild b/dev-ruby/rrdtool-bindings/rrdtool-bindings-1.8.0.ebuild
new file mode 100644
index 000000000000..cf69222e3f3a
--- /dev/null
+++ b/dev-ruby/rrdtool-bindings/rrdtool-bindings-1.8.0.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+MY_P="${P/-bindings}"
+MY_P="${MY_P/_/-}"
+
+USE_RUBY="ruby25 ruby26 ruby27 ruby30"
+RUBY_FAKEGEM_TASK_DOC=""
+
+inherit ruby-ng
+
+DESCRIPTION="Ruby bindings for rrdtool"
+HOMEPAGE="https://oss.oetiker.ch/rrdtool/"
+SRC_URI="https://oss.oetiker.ch/rrdtool/pub/${MY_P}.tar.gz"
+RUBY_S="$MY_P"/bindings/ruby
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x86-solaris"
+IUSE="graph test"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="test? ( graph )"
+
+# Block on older versions of rrdtool that install the bindings themselves.
+# requires rrd_xport which requires rrd_graph
+RDEPEND="
+	~net-analyzer/rrdtool-${PV}[graph=]
+"
+DEPEND="
+	${RDEPEND}
+	test? ( ~net-analyzer/rrdtool-${PV}[graph] )
+"
+
+all_ruby_prepare() {
+	eapply -p3 "${FILESDIR}"/${PN}-1.4.8-graph-ruby.patch
+}
+
+each_ruby_configure() {
+	rm ../../src/rrd_config.h || die
+	touch ../../src/rrd_config.h || die
+
+	${RUBY} extconf.rb \
+		--with-cflags="${CFLAGS} $(usex graph -DHAVE_RRD_GRAPH -UHAVE_RRD_GRAPH)" || die
+}
+
+each_ruby_compile() {
+	emake V=1 ABS_TOP_SRCDIR="${PWD}/../.."
+}
+
+each_ruby_test() {
+	if use graph; then
+		${RUBY} -I. test.rb || die
+	fi
+}
+
+all_ruby_install() {
+	dodoc CHANGES README
+}
+
+each_ruby_install() {
+	DESTDIR=${D} emake install
+}


             reply	other threads:[~2022-04-05 19:34 UTC|newest]

Thread overview: 72+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-04-05 19:34 Conrad Kostecki [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-12-29  9:15 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/rrdtool-bindings/ Hans de Graaff
2024-09-17 16:00 Sam James
2024-09-17 16:00 Sam James
2024-08-11 14:22 Conrad Kostecki
2024-07-17  9:38 Hans de Graaff
2023-04-13  3:03 Sam James
2023-04-13  3:03 Sam James
2022-12-05  9:29 WANG Xuerui
2022-07-18 21:47 Conrad Kostecki
2022-05-28 18:08 Conrad Kostecki
2022-05-28 15:55 Jakov Smolić
2022-05-06 11:34 Jakov Smolić
2022-05-06 11:34 Jakov Smolić
2022-05-06 11:34 Jakov Smolić
2022-05-06 11:34 Jakov Smolić
2022-05-06 11:29 Jakov Smolić
2022-05-06  8:09 Arthur Zamarin
2022-04-23  9:43 Hans de Graaff
2021-08-02 22:31 Marek Szuba
2021-04-08  5:52 Hans de Graaff
2020-09-19 11:28 Michał Górny
2020-08-06  6:47 Sergei Trofimovich
2020-08-03 16:34 Sergei Trofimovich
2020-07-18  0:29 Sam James
2020-07-08 10:59 Michał Górny
2020-07-05  8:52 Sergei Trofimovich
2020-07-05  8:47 Sergei Trofimovich
2020-06-28 20:56 Thomas Deutschmann
2020-06-27 20:41 Mart Raudsepp
2020-06-27  5:19 Jeroen Roovers
2020-03-28  9:54 Sergei Trofimovich
2020-03-26  7:25 Hans de Graaff
2019-09-14  9:51 Jeroen Roovers
2019-09-14  8:40 Jeroen Roovers
2019-05-28 12:08 Jeroen Roovers
2019-04-27 23:35 Aaron Bauman
2019-04-27 22:56 Aaron Bauman
2019-04-21  7:46 Hans de Graaff
2019-03-23 12:16 Jeroen Roovers
2019-03-09  8:19 Mikle Kolyada
2019-02-05 15:48 Jeroen Roovers
2019-01-26 16:45 Hans de Graaff
2018-06-06  4:44 Hans de Graaff
2018-03-24 12:44 Jeroen Roovers
2018-03-18 23:15 Jeroen Roovers
2018-01-05 19:40 Mikle Kolyada
2017-12-20 22:04 Sergei Trofimovich
2017-09-24  7:10 Hans de Graaff
2017-06-28  6:09 Hans de Graaff
2017-06-06  8:25 Sergei Trofimovich
2017-06-06  8:25 Sergei Trofimovich
2017-05-21 22:34 Jeroen Roovers
2017-04-14  5:28 Hans de Graaff
2017-03-01  7:55 Michael Weber
2017-02-18  8:51 Jeroen Roovers
2017-01-29 17:28 Fabian Groffen
2016-12-21 18:39 Thomas Deutschmann
2016-12-03  6:41 Hans de Graaff
2016-10-22 11:50 Tobias Klausmann
2016-10-22  8:38 Jeroen Roovers
2016-04-23 11:42 Jeroen Roovers
2016-04-23 11:37 Jeroen Roovers
2016-04-17 14:39 Manuel Rüger
2016-02-15 19:52 Tobias Klausmann
2016-02-05 12:49 Tobias Klausmann
2015-12-26 12:07 Jeroen Roovers
2015-12-26 10:14 Jeroen Roovers
2015-12-14 14:12 Agostino Sarubbo
2015-11-14  8:56 Jeroen Roovers
2015-08-14 12:48 Jeroen Roovers
2015-08-14 12:38 Jeroen Roovers

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1649187007.5020bb4baa48d621816e23726ab061037c3c6204.conikost@gentoo \
    --to=conikost@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox